/* TABLIX, PGA highschool timetable generator                              */
/* Copyright (C) 2002 Tomaz Solc                                           */

/* This program is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation; either version 2 of the License, or       */
/* (at your option) any later version.                                     */

/* This program is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/* GNU General Public License for more details.                            */

/* You should have received a copy of the GNU General Public License       */
/* along with this program; if not, write to the Free Software             */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

/* $Id: errorl.c,v 1.2.4.1 2003/06/08 22:40:20 avian Exp $ */

#include <stdio.h>
#include <stdlib.h>

void fatal(char *msg)
{
        fprintf(stderr, "Fatal: %s\n", msg);
        exit(1);
}

void fatalxml(char *msg, int no)
{
        char mes[256];

        snprintf(mes, 256, "%s (line %d)", msg, no);
        fprintf(stderr, "Fatal: %s\n", mes);
        exit(1);
}

void notify(char *msg)
{
        fprintf(stderr, "%s\n", msg);
}
