/* TABLIX, PGA highschool timetable generator                              */
/* Copyright (C) 2002 Tomaz Solc                                           */

/* This program is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation; either version 2 of the License, or       */
/* (at your option) any later version.                                     */

/* This program is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/* GNU General Public License for more details.                            */

/* You should have received a copy of the GNU General Public License       */
/* along with this program; if not, write to the Free Software             */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

/* $Id: error.c,v 1.7 2002/06/26 18:44:28 avian Exp $ */

#include <pvm3.h>
#include <stdio.h>

#include "main.h"

void fatal(char *msg)
{
        pvm_initsend(0);
        pvm_pkstr(msg);
        pvm_send(pvm_parent(), MSG_CHLDERR);
        pvm_exit();
        exit(1);
}

void fatalxml(char *msg, int no)
{
        char mes[256];

        snprintf(mes, 256, "%s (line %d)", msg, no);
        pvm_initsend(0);
        pvm_pkstr(mes);
        pvm_send(pvm_parent(), MSG_CHLDERR);
        pvm_exit();
        exit(1);
}

void notify(char *msg)
{
        pvm_initsend(0);
        pvm_pkstr(msg);
        pvm_send(pvm_parent(), MSG_CHLDMSG);
}
