/* TABLIX, PGA highschool timetable generator                              */
/* Copyright (C) 2002 Tomaz Solc                                           */

/* This program is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation; either version 2 of the License, or       */
/* (at your option) any later version.                                     */

/* This program is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/* GNU General Public License for more details.                            */

/* You should have received a copy of the GNU General Public License       */
/* along with this program; if not, write to the Free Software             */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

/* $Id: main.h,v 1.17 2002/07/03 14:29:48 avian Exp $ */

/* PVM message tags */

#define MSG_SIBLING     1
#define MSG_INFO        2
#define MSG_MIGRATION   3
#define MSG_XMLDATA     4
#define MSG_CHLDERR     5
#define MSG_CHLDMSG     6
#define MSG_MASTERKILL  7
#define MSG_RESULTDATA  8
#define MSG_SENDPOP     9
#define MSG_POPDATA     10
#define MSG_RESTOREPOP  11

/* DEBUGING AND PROFILING */

/* Sizes of various arrays */

#define GRADEMAX        90000
/* for temporary files */
#define LINEBUFFSIZE    1000

/* Evolutionary parameters */

#define POPSIZE         500
#define TOURSIZE        3
#define MUTATEPART      2
#define RANDPART        4
#define MAXEQUAL        7
/* demand this many equaly graded generations before finishing */
#define FINISH          300

/* Migration of MIGRPART every MIGRTIME generations */

#define MIGRTIME        40
#define MIGRPART        10
